Bug 694823 - gfs2_tool prints UUID in all caps
Summary: gfs2_tool prints UUID in all caps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Robert Peterson
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-08 14:24 UTC by Nate Straz
Modified: 2011-12-06 14:51 UTC (History)
7 users (show)

Fixed In Version: cluster-3.0.12.1-2.el6
Doc Type: Bug Fix
Doc Text:
Cause: gfs2_tool was printing UUIDs in all capital letters. Consequence: UUIDs are expected to be lower-case; programs adhering to this standard format (such as the 'mount' command) may malfunction if expecting lower-case. Fix: Patch gfs2_tool to print UUIDs in lower case. Result: UUIDs are now in standard format.
Clone Of:
Environment:
Last Closed: 2011-12-06 14:51:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1516 normal SHIPPED_LIVE cluster and gfs2-utils bug fix update 2011-12-06 00:51:09 UTC

Description Nate Straz 2011-04-08 14:24:48 UTC
Description of problem:

When using UUID= to mount a file system, the UUID needs to be all lowercase.  

[root@dash-03 ~]# mkfs -t gfs2 -O -p lock_dlm -t dash:gfs2 -j 3 /dev/dash/gfs2
Device:                    /dev/dash/gfs2
Blocksize:                 4096
Device Size                10.00 GB (2621440 blocks)
Filesystem Size:           10.00 GB (2621438 blocks)
Journals:                  3
Resource Groups:           40
Locking Protocol:          "lock_dlm"
Lock Table:                "dash:gfs2"
UUID:                      557ECE4D-5E2A-566F-3153-AB68919AE463

[root@dash-01 tmp]# gfs2_tool sb /dev/dash/gfs2 uuid
current uuid = 557ECE4D-5E2A-566F-3153-AB68919AE463

[root@dash-03 ~]# mount -t gfs2  UUID=557ECE4D-5E2A-566F-3153-AB68919AE463 /mnt/gfs2
invalid device path "UUID=557ECE4D-5E2A-566F-3153-AB68919AE463"

[root@dash-03 ~]# mount -t gfs2  UUID=557ece4d-5e2a-566f-3153-ab68919ae463 /mnt/gfs2

[root@dash-03 ~]# mount -t gfs2
/dev/mapper/dash-gfs2 on /mnt/gfs2 type gfs2 (rw,seclabel,relatime,hostdata=jid=0)


[root@dash-01 tmp]# rpm -q gfs2-utils
gfs2-utils-3.0.12-41.el6.x86_64

Comment 1 Robert Peterson 2011-04-08 14:49:39 UTC
Sounds like we need to port this upstream patch back to RHEL6:

http://git.fedorahosted.org/git/?p=gfs2-utils.git;a=commitdiff;h=85ab1eeb40508dcc0f0a5c5ae63ca71dfb08c173

Comment 2 Robert Peterson 2011-05-26 17:56:41 UTC
Patch 3e44524 was pushed to the RHEL6 branch of the cluster
git tree for inclusion into 6.2.  Changing status to POST
until this gets built.

Comment 3 Fabio Massimo Di Nitto 2011-05-27 06:47:30 UTC
The original commit landed at the wrong time and I had to revert/reapply.

New sha1 is: b4029e885bf6d6fee7bee16172be873fa2329ec0

Comment 4 Nate Straz 2011-06-14 14:54:29 UTC
Development needs to provide unit testing results.  Please show that UUIDs are printed in lower case with gfs2-utils-3.0.12.1-2.el6.

https://wiki.test.redhat.com/ClusterStorage/WhyNeedDevTestResults

Comment 5 Robert Peterson 2011-06-14 17:03:50 UTC
My apologies.  Here is a cut/paste showing before and after:

[root@gfs-i24c-01 /home/bob]# rpm -U /home/bob/gfs2-utils-3.0.12.1-1.el6.x86_64.rpm 
[root@gfs-i24c-01 /home/bob]# gfs2_edit -V
gfs2_edit version 3.0.12.1 (built Jun 14 2011 02:08:34)
Copyright (C) Red Hat, Inc.  2004-2010  All rights reserved.
[root@gfs-i24c-01 /home/bob]# gfs2_edit -p sb field sb_uuid /dev/sasdrives/bob 
88457804-8B7D-E424-1F5E-25C7956EF29B
[root@gfs-i24c-01 /home/bob]# rpm -U /home/bob/gfs2-utils-3.0.12.1-2.el6.x86_64.rpm 
[root@gfs-i24c-01 /home/bob]# gfs2_edit -p sb field sb_uuid /dev/sasdrives/bob 
88457804-8b7d-e424-1f5e-25c7956ef29b
[root@gfs-i24c-01 /home/bob]#

Comment 6 Nate Straz 2011-07-05 21:09:31 UTC
Verified against gfs2-utils-3.0.12.1-5.el6.x86_64

# gfs2_tool sb /dev/sdb1 uuid
current uuid = 7a16773f-fbae-8863-0b92-6d83ddfe5426

I also checked that the new command, tunegfs2, prints correctly
# tunegfs2 -l /dev/sdb1
tunegfs2 (Jun 23 2011 05:03:50)
...
Filesystem UUID: 7a16773f-fbae-8863-0b92-6d83ddfe5426
...

Comment 9 Lon Hohberger 2011-10-26 22:35:20 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: gfs2_tool was printing UUIDs in all capital letters.

Consequence: UUIDs are expected to be lower-case; programs adhering to this standard format (such as the 'mount' command) may malfunction if expecting lower-case.

Fix: Patch gfs2_tool to print UUIDs in lower case.

Result: UUIDs are now in standard format.

Comment 10 errata-xmlrpc 2011-12-06 14:51:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1516.html


Note You need to log in before you can comment on or make changes to this bug.